Important Information for Blackberry 7250 Users on Aliant, Sasktel, or MTS Networks

What is the Issue?


If you are a Blackberry 7250 user on the Aliant, Sasktel, or MTS network using Application Version 4.1.0.303, please do not apply the DST patch.

The DST patch could potentially cause the Blackberry 7250 device to crash. This is a known issue that is constrained to the Software Bundle for the 7250. Other Blackberry users on the Aliant, Sasktel, or MTS network using Application Version 4.1.0.303 should use the BlackBerry DST site to patch their device.

You can check the Application Version on your Blackberry 7250 by:

  1. Going to Options
  2. Click on "About"
  3. On the third line of text, you should see: v4.1.0.303 (This is your Application Version.)

What should I be aware of as an IT Administrator?

We recommend that you do not push out the DST fix to your Blackberry 7250 Subscribers and instead upgrade them to the latest Software Bundle that contains the DST fix.

What if I have already applied the DST patch on my existing Blackberry 7250 device or have crashed my Blackberry 7250 device?

Upgrade your Handheld Software Bundle to the latest one that contains the DST fix as posted below.

Handheld Software for Download that Contains the DST Fix:

Aliant
If you are a Blackberry 7250 user on the Aliant network, you can download the Handheld Software upgrade which contains the DST fix here.

Sasktel
If you are a Blackberry 7250 user on the Sasktel network, you can download the Handheld Software upgrade which contains the DST fix here.

MTS
If you are a Blackberry 7250 user on the MTS network, you can download the Handheld Software upgrade which contains the DST fix here.